Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -15854,17 +29366,17 @@
   Tag Name                                      Writable
   --------                                      --------
-  AspectRatio                                   N
-  AudioBitsPerSample                            N
-  AudioChannels                                 N
-  AudioSampleRate                               N
-  Colorimetry                                   N
-  DateTimeOriginal                              N
-  Duration                                      N
-  FrameRate                                     N
-  ImageHeight                                   N
-  ImageWidth                                    N
-  TotalBitrate                                  N
-  VideoFormat                                   N
-  VideoScanType                                 N
+  AspectRatio                                   no
+  AudioBitsPerSample                            no
+  AudioChannels                                 no
+  AudioSampleRate                               no
+  Colorimetry                                   no
+  DateTimeOriginal                              no
+  Duration                                      no
+  FrameRate                                     no
+  ImageHeight                                   no
+  ImageWidth                                    no
+  TotalBitrate                                  no
+  VideoFormat                                   no
+  VideoScanType                                 no
 
 =head2 Flash Tags
@@ -15875,12 +29387,12 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'Compressed'         Compressed               N
-  'Duration'           Duration                 N
-  'FlashVersion'       FlashVersion             N
-  'FrameCount'         FrameCount               N
-  'FrameRate'          FrameRate                N
-  'ImageHeight'        ImageHeight              N
-  'ImageWidth'         ImageWidth               N
-  0x0045               FileAttributes           N
+  'Compressed'         Compressed               no
+  'Duration'           Duration                 no
+  'FlashVersion'       FlashVersion             no
+  'FrameCount'         FrameCount               no
+  'FrameRate'          FrameRate                no
+  'ImageHeight'        ImageHeight              no
+  'ImageWidth'         ImageWidth               no
+  0x0045               FlashAttributes          no
   0x004d               XMP                      XMP
 
@@ -15902,8 +29414,8 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'Bit0-3' AudioEncoding                        N
-  'Bit4-5' AudioSampleRate                      N
-  'Bit6'   AudioBitsPerSample                   N
-  'Bit7'   AudioChannels                        N
+  'Bit0-3' AudioEncoding                        no
+  'Bit4-5' AudioSampleRate                      no
+  'Bit6'   AudioBitsPerSample                   no
+  'Bit7'   AudioChannels                        no
 
 =head3 Flash Video Tags
@@ -15913,5 +29425,5 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'Bit4-7' VideoEncoding                        N
+  'Bit4-7' VideoEncoding                        no
 
 =head3 Flash Meta Tags
@@ -15922,45 +29434,45 @@
   Tag ID                   Tag Name             Writable
   ------                   --------             --------
-  'audiocodecid'           AudioCodecID         N
-  'audiodatarate'          AudioBitrate         N
-  'audiodelay'             AudioDelay           N
-  'audiosamplerate'        AudioSampleRate      N
-  'audiosamplesize'        AudioSampleSize      N
-  'audiosize'              AudioSize            N
-  'bytelength'             ByteLength           N
-  'canSeekToEnd'           CanSeekToEnd         N
-  'canseekontime'          CanSeekOnTime        N
-  'createdby'              CreatedBy            N
-  'creationdate'           CreateDate           N
+  'audiocodecid'           AudioCodecID         no
+  'audiodatarate'          AudioBitrate         no
+  'audiodelay'             AudioDelay           no
+  'audiosamplerate'        AudioSampleRate      no
+  'audiosamplesize'        AudioSampleSize      no
+  'audiosize'              AudioSize            no
+  'bytelength'             ByteLength           no
+  'canSeekToEnd'           CanSeekToEnd         no
+  'canseekontime'          CanSeekOnTime        no
+  'createdby'              CreatedBy            no
+  'creationdate'           CreateDate           no
   'cuePoints'              CuePoint             Flash CuePoint
-  'datasize'               DataSize             N
-  'duration'               Duration             N
-  'filesize'               FileSizeBytes        N
-  'framerate'              FrameRate            N
-  'hasAudio'               HasAudio             N
-  'hasCuePoints'           HasCuePoints         N
-  'hasKeyframes'           HasKeyFrames         N
-  'hasMetadata'            HasMetadata          N
-  'hasVideo'               HasVideo             N
-  'height'                 ImageHeight          N
-  'httphostheader'         HTTPHostHeader       N
-  'keyframesFilepositions' KeyFramePositions    N
-  'keyframesTimes'         KeyFramesTimes       N
-  'lastkeyframetimestamp'  LastKeyFrameTime     N
-  'lasttimestamp'          LastTimeStamp        N
+  'datasize'               DataSize             no
+  'duration'               Duration             no
+  'filesize'               FileSizeBytes        no
+  'framerate'              FrameRate            no
+  'hasAudio'               HasAudio             no
+  'hasCuePoints'           HasCuePoints         no
+  'hasKeyframes'           HasKeyFrames         no
+  'hasMetadata'            HasMetadata          no
+  'hasVideo'               HasVideo             no
+  'height'                 ImageHeight          no
+  'httphostheader'         HTTPHostHeader       no
+  'keyframesFilepositions' KeyFramePositions    no
+  'keyframesTimes'         KeyFramesTimes       no
+  'lastkeyframetimestamp'  LastKeyFrameTime     no
+  'lasttimestamp'          LastTimeStamp        no
   'liveXML'                XMP                  XMP
-  'metadatacreator'        MetadataCreator      N
-  'metadatadate'           MetadataDate         N
-  'pmsg'                   Message              N
-  'purl'                   URL                  N
-  'sourcedata'             SourceData           N
-  'starttime'              StartTime            N
-  'stereo'                 Stereo               N
-  'totaldatarate'          TotalDataRate        N
-  'totalduration'          TotalDuration        N
-  'videocodecid'           VideoCodecID         N
-  'videodatarate'          VideoBitrate         N
-  'videosize'              VideoSize            N
-  'width'                  ImageWidth           N
+  'metadatacreator'        MetadataCreator      no
+  'metadatadate'           MetadataDate         no
+  'pmsg'                   Message              no
+  'purl'                   URL                  no
+  'sourcedata'             SourceData           no
+  'starttime'              StartTime            no
+  'stereo'                 Stereo               no
+  'totaldatarate'          TotalDataRate        no
+  'totalduration'          TotalDuration        no
+  'videocodecid'           VideoCodecID         no
+  'videodatarate'          VideoBitrate         no
+  'videosize'              VideoSize            no
+  'width'                  ImageWidth           no
 
 =head3 Flash CuePoint Tags
@@ -15971,8 +29483,8 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'name'               Name                     N
+  'name'               Name                     no
   'parameters'         Parameter                Flash Parameter
-  'time'               Time                     N
-  'type'               Type                     N
+  'time'               Time                     no
+  'type'               Type                     no
 
 =head3 Flash Parameter Tags
@@ -16007,12 +29519,12 @@
   Sequence Tag Name                             Writable
   -------- --------                             --------
-      0    TitleLen?                            N
-      1    Title                                N
-      2    AuthorLen?                           N
-      3    Author                               N
-      4    CopyrightLen?                        N
-      5    Copyright                            N
-      6    CommentLen?                          N
-      7    Comment                              N
+      0    TitleLen?                            no
+      1    Title                                no
+      2    AuthorLen?                           no
+      3    Author                               no
+      4    CopyrightLen?                        no
+      5    Copyright                            no
+      6    CommentLen?                          no
+      7    Comment                              no
 
 =head3 Real MediaProps Tags
@@ -16020,25 +29532,25 @@
   Sequence Tag Name                             Writable
   -------- --------                             --------
-      0    StreamNumber                         N
-      1    StreamMaxBitrate                     N
-      2    StreamAvgBitrate                     N
-      3    StreamMaxPacketSize                  N
-      4    StreamAvgPacketSize                  N
-      5    StreamStartTime                      N
-      6    StreamPreroll                        N
-      7    StreamDuration                       N
-      8    StreamNameLen?                       N
-      9    StreamName                           N
-     10    StreamMimeLen?                       N
-     11    StreamMimeType                       N
-     12    FileInfoLen?                         N
-     13    FileInfoLen2?                        N
-     14    FileInfoVersion                      N
-     15    PhysicalStreams?                     N
-     16    PhysicalStreamNumbers?               N
-     17    DataOffsets?                         N
-     18    NumRules?                            N
-     19    PhysicalStreamNumberMap?             N
-     20    NumProperties?                       N
+      0    StreamNumber                         no
+      1    StreamMaxBitrate                     no
+      2    StreamAvgBitrate                     no
+      3    StreamMaxPacketSize                  no
+      4    StreamAvgPacketSize                  no
+      5    StreamStartTime                      no
+      6    StreamPreroll                        no
+      7    StreamDuration                       no
+      8    StreamNameLen?                       no
+      9    StreamName                           no
+     10    StreamMimeLen?                       no
+     11    StreamMimeType                       no
+     12    FileInfoLen?                         no
+     13    FileInfoLen2?                        no
+     14    FileInfoVersion                      no
+     15    PhysicalStreams?                     no
+     16    PhysicalStreamNumbers?               no
+     17    DataOffsets?                         no
+     18    NumRules?                            no
+     19    PhysicalStreamNumberMap?             no
+     20    NumProperties?                       no
      21    FileInfoProperties                   Real FileInfo
 
@@ -16050,18 +29562,18 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'Audiences'          Audiences                N
-  'Audio Format'       AudioFormat              N
-  'Content Rating'     ContentRating            N
-  'Creation Date'      CreateDate               N
-  'Description'        Description              N
-  'File ID'            FileID                   N
-  'Generated By'       Software                 N
-  'Indexable'          Indexable                N
-  'Keywords'           Keywords                 N
-  'Modification Date'  ModifyDate               N
-  'Target Audiences'   TargetAudiences          N
-  'Video Quality'      VideoQuality             N
-  'audioMode'          AudioMode                N
-  'videoMode'          VideoMode                N
+  'Audiences'          Audiences                no
+  'Audio Format'       AudioFormat              no
+  'Content Rating'     ContentRating            no
+  'Creation Date'      CreateDate               no
+  'Description'        Description              no
+  'File ID'            FileID                   no
+  'Generated By'       Software                 no
+  'Indexable'          Indexable                no
+  'Keywords'           Keywords                 no
+  'Modification Date'  ModifyDate               no
+  'Target Audiences'   TargetAudiences          no
+  'Video Quality'      VideoQuality             no
+  'audioMode'          AudioMode                no
+  'videoMode'          VideoMode                no
 
 =head3 Real Properties Tags
@@ -16069,15 +29581,15 @@
   Sequence Tag Name                             Writable
   -------- --------                             --------
-      0    MaxBitrate                           N
-      1    AvgBitrate                           N
-      2    MaxPacketSize                        N
-      3    AvgPacketSize                        N
-      4    NumPackets                           N
-      5    Duration                             N
-      6    Preroll                              N
-      7    IndexOffset?                         N
-      8    DataOffset?                          N
-      9    NumStreams                           N
-     10    Flags                                N
+      0    MaxBitrate                           no
+      1    AvgBitrate                           no
+      2    MaxPacketSize                        no
+      3    AvgPacketSize                        no
+      4    NumPackets                           no
+      5    Duration                             no
+      6    Preroll                              no
+      7    IndexOffset?                         no
+      8    DataOffset?                          no
+      9    NumStreams                           no
+     10    Flags                                no
 
 =head3 Real Metadata Tags
@@ -16093,8 +29605,8 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'Album/Name'         AlbumName                N
-  'Track/Category'     TrackCategory            N
-  'Track/Comments'     TrackComments            N
-  'Track/Lyrics'       TrackLyrics              N
+  'Album/Name'         AlbumName                no
+  'Track/Category'     TrackCategory            no
+  'Track/Comments'     TrackComments            no
+  'Track/Lyrics'       TrackLyrics              no
 
 =head3 Real Audio Tags
@@ -16113,16 +29625,16 @@
   Sequence Tag Name                             Writable
   -------- --------                             --------
-      0    Channels                             N
-      1    Unknown?                             N
-      2    BytesPerMinute                       N
-      3    AudioBytes                           N
-      4    TitleLen?                            N
-      5    Title                                N
-      6    ArtistLen?                           N
-      7    Artist                               N
-      8    CopyrightLen?                        N
-      9    Copyright                            N
-     10    CommentLen?                          N
-     11    Comment                              N
+      0    Channels                             no
+      1    Unknown?                             no
+      2    BytesPerMinute                       no
+      3    AudioBytes                           no
+      4    TitleLen?                            no
+      5    Title                                no
+      6    ArtistLen?                           no
+      7    Artist                               no
+      8    CopyrightLen?                        no
+      9    Copyright                            no
+     10    CommentLen?                          no
+     11    Comment                              no
 
 =head3 Real AudioV4 Tags
@@ -16130,35 +29642,35 @@
   Sequence Tag Name                             Writable
   -------- --------                             --------
-      0    FourCC1?                             N
-      1    AudioFileSize?                       N
-      2    Version2?                            N
-      3    HeaderSize?                          N
-      4    CodecFlavorID?                       N
-      5    CodedFrameSize?                      N
-      6    AudioBytes                           N
-      7    BytesPerMinute                       N
-      8    Unknown?                             N
-      9    SubPacketH?                          N
-     10    AudioFrameSize                       N
-     11    SubPacketSize?                       N
-     12    Unknown?                             N
-     13    SampleRate                           N
-     14    Unknown?                             N
-     15    BitsPerSample                        N
-     16    Channels                             N
-     17    FourCC2Len?                          N
-     18    FourCC2?                             N
-     19    FourCC3Len?                          N
-     20    FourCC3?                             N
-     21    Unknown?                             N
-     22    Unknown?                             N
-     23    TitleLen?                            N
-     24    Title                                N
-     25    ArtistLen?                           N
-     26    Artist                               N
-     27    CopyrightLen?                        N
-     28    Copyright                            N
-     29    CommentLen?                          N
-     30    Comment                              N
+      0    FourCC1?                             no
+      1    AudioFileSize?                       no
+      2    Version2?                            no
+      3    HeaderSize?                          no
+      4    CodecFlavorID?                       no
+      5    CodedFrameSize?                      no
+      6    AudioBytes                           no
+      7    BytesPerMinute                       no
+      8    Unknown?                             no
+      9    SubPacketH?                          no
+     10    AudioFrameSize                       no
+     11    SubPacketSize?                       no
+     12    Unknown?                             no
+     13    SampleRate                           no
+     14    Unknown?                             no
+     15    BitsPerSample                        no
+     16    Channels                             no
+     17    FourCC2Len?                          no
+     18    FourCC2?                             no
+     19    FourCC3Len?                          no
+     20    FourCC3?                             no
+     21    Unknown?                             no
+     22    Unknown?                             no
+     23    TitleLen?                            no
+     24    Title                                no
+     25    ArtistLen?                           no
+     26    Artist                               no
+     27    CopyrightLen?                        no
+     28    Copyright                            no
+     29    CommentLen?                          no
+     30    Comment                              no
 
 =head3 Real AudioV5 Tags
@@ -16166,22 +29678,22 @@
   Sequence Tag Name                             Writable
   -------- --------                             --------
-      0    FourCC1?                             N
-      1    AudioFileSize?                       N
-      2    Version2?                            N
-      3    HeaderSize?                          N
-      4    CodecFlavorID?                       N
-      5    CodedFrameSize?                      N
-      6    AudioBytes                           N
-      7    BytesPerMinute                       N
-      8    Unknown?                             N
-      9    SubPacketH?                          N
-     10    FrameSize?                           N
-     11    SubPacketSize?                       N
-     12    SampleRate                           N
-     13    SampleRate2?                         N
-     14    BitsPerSample                        N
-     15    Channels                             N
-     16    Genr?                                N
-     17    FourCC3?                             N
+      0    FourCC1?                             no
+      1    AudioFileSize?                       no
+      2    Version2?                            no
+      3    HeaderSize?                          no
+      4    CodecFlavorID?                       no
+      5    CodedFrameSize?                      no
+      6    AudioBytes                           no
+      7    BytesPerMinute                       no
+      8    Unknown?                             no
+      9    SubPacketH?                          no
+     10    FrameSize?                           no
+     11    SubPacketSize?                       no
+     12    SampleRate                           no
+     13    SampleRate2?                         no
+     14    BitsPerSample                        no
+     15    Channels                             no
+     16    Genr?                                no
+     17    FourCC3?                             no
 
 =head3 Real Metafile Tags
@@ -16192,24 +29704,110 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'txt'    Text                                 N
-  'url'    URL                                  N
+  'txt'    Text                                 no
+  'url'    URL                                  no
+
+=head2 Red Tags
+
+Tags extracted from Redcode R3D video files.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'RED1'   Red1Header                           Red RED1
+  'RED2'   Red2Header                           Red RED2
+  0x1000   StartEdgeCode                        no
+  0x1001   StartTimecode                        no
+  0x1002   OtherDate1                           no
+  0x1003   OtherDate2                           no
+  0x1004   OtherDate3                           no
+  0x1005   DateTimeOriginal                     no
+  0x1006   SerialNumber                         no
+  0x1019   CameraType                           no
+  0x101a   ReelNumber                           no
+  0x101b   Take                                 no
+  0x1023   DateCreated                          no
+  0x1024   TimeCreated                          no
+  0x1025   FirmwareVersion                      no
+  0x1029   ReelTimecode                         no
+  0x102a   StorageType                          no
+  0x1030   StorageFormatDate                    no
+  0x1031   StorageFormatTime                    no
+  0x1032   StorageSerialNumber                  no
+  0x1033   StorageModel                         no
+  0x1036   AspectRatio                          no
+  0x1042   Revision                             no
+  0x1056   OriginalFileName                     no
+  0x106e   LensMake                             no
+  0x106f   LensNumber                           no
+  0x1070   LensModel                            no
+  0x1071   Model                                no
+  0x107c   CameraOperator                       no
+  0x1086   VideoFormat                          no
+  0x1096   Filter                               no
+  0x10a0   Brain                                no
+  0x10a1   Sensor                               no
+  0x200d   ColorTemperature                     no
+  0x204b   RGBCurves                            no
+  0x2066   OriginalFrameRate                    no
+  0x4037   CropArea                             no
+  0x403b   ISO                                  no
+  0x406a   FNumber                              no
+  0x406b   FocalLength                          no
+  0x606c   FocusDistance                        no
+
+=head3 Red RED1 Tags
+
+Redcode version 1 header.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      7    RedcodeVersion                       no
+     54    ImageWidth                           no
+     58    ImageHeight                          no
+     62    FrameRate                            no
+     67    OriginalFileName                     no
+
+=head3 Red RED2 Tags
+
+Redcode version 2 header.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      7    RedcodeVersion                       no
+     76    ImageWidth                           no
+     80    ImageHeight                          no
+     86    FrameRate                            no
 
 =head2 RIFF Tags
 
-The RIFF container format is used various types of fines including WAV, AVI
-and WEBP.  According to the EXIF specification, Meta information is embedded
-in two types of RIFF C<LIST> chunks: C<INFO> and C<exif>, and information
-about the audio content is stored in the C<fmt > chunk.  As well as this
-information, some video information and proprietary manufacturer-specific
-information is also extracted.
+The RIFF container format is used various types of fines including AVI, WAV,
+WEBP, LA, OFR, PAC and WV.  According to the EXIF specification, Meta
+information is embedded in two types of RIFF C<LIST> chunks: C<INFO> and
+C<exif>, and information about the audio content is stored in the C<fmt >
+chunk.  As well as this information, some video information and proprietary
+manufacturer-specific information is also extracted.
+
+Large AVI videos may be a concatenation of two or more RIFF chunks.  For
+these files, information is extracted from subsequent RIFF chunks as
+sub-documents, but the Duration is calculated for the full video.
 
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
+  'ALPH'               ALPH                     RIFF ALPH
+  'ANIM'               ANIM                     RIFF ANIM
+  'ANMF'               ANMF                     RIFF ANMF
+  'CSET'               CharacterSet             RIFF CSET
+  'EXIF'               EXIF                     EXIF
+                       UnknownEXIF              no
+  'ICCP'               ICC_Profile              ICC_Profile
+  'IDIT'               DateTimeOriginal         no
   'JUNK'               OlympusJunk              Olympus AVI
                        CasioJunk                EXIF
                        RicohJunk                Ricoh AVI
                        PentaxJunk               Pentax Junk
-                       TextJunk                 N
-  'JUNQ'               OldXMP                   N
+                       PentaxJunk2              Pentax Junk2
+                       LucasJunk                QuickTime Stream
+                       TextJunk                 no
+  'JUNQ'               OldXMP                   no
+  'LIST_INF0'          Info                     RIFF Info
   'LIST_INFO'          Info                     RIFF Info
   'LIST_Tdat'          Tdat                     RIFF Tdat
@@ -16218,12 +29816,67 @@
   'LIST_hydt'          PentaxData               Pentax AVI
   'LIST_ncdt'          NikonData                Nikon AVI
+  'LIST_pntx'          PentaxData2              Pentax AVI
+  'SGLT'               BikeBroAccel             QuickTime Stream
+  'SLLT'               BikeBroGPS               QuickTime Stream
+  'VP8 '               VP8Bitstream             RIFF VP8
+  'VP8L'               VP8L                     RIFF VP8L
+  'VP8X'               VP8X                     RIFF VP8X
+  'XMP '               XMP                      XMP
   '_PMX'               XMP                      XMP
+  'aXML'               AXML                     XMP XML
+  'afsp'               Afsp                     no
   'bext'               BroadcastExtension       RIFF BroadcastExt
+  'cue '               CuePoints                no
+  'ds64'               DataSize64               RIFF DS64
+  'fact'               NumberOfSamples          no
   'fmt '               AudioFormat              RIFF AudioFormat
+  'gps0'               GPSTrack                 QuickTime Stream
+  'gsen'               GSensor                  QuickTime Stream
+  'iXML'               IXML                     XMP XML
+  'labl'               Label                    RIFF Label
+  'list'               ListType                 no
   'olym'               Olym                     Olympus WAV
+  'tx_USER'            UserText                 RIFF UserText
+  'tx_Unknown'         Text                     no
+
+=head3 RIFF ALPH Tags
+
+WebP alpha chunk.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    AlphaPreprocessing                   no
+    0.1    AlphaFiltering                       no
+    0.2    AlphaCompression                     no
+
+=head3 RIFF ANIM Tags
+
+WebP animation chunk.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    BackgroundColor                      no
+      4    AnimationLoopCount                   no
+
+=head3 RIFF ANMF Tags
+
+WebP animation frame chunk.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     12    Duration                             no
+
+=head3 RIFF CSET Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    CodePage                             no
+      1    CountryCode                          no
+      2    LanguageCode                         no
+      3    Dialect                              no
 
 =head3 RIFF Info Tags
 
-RIFF INFO tags found in WAV audio and AVI video files.  Tags which are part
+RIFF INFO tags found in AVI video and WAV audio files.  Tags which are part
 of the EXIF 2.3 specification have an underlined Tag Name in the HTML
 version of this documentation.  Other tags are found in AVI files generated
